Mindshare data
curl --request GET \
--url https://www.sharpe.ai/api/v1/mindshare/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/mindshare/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/mindshare/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"tokens": [
{
"id": "<string>",
"symbol": "<string>",
"name": "<string>",
"image": "<string>",
"narrativeIds": [
"<string>"
],
"socialScore": 123,
"mindshare": 123,
"watchlistUsers": 123,
"sentiment": 123,
"mindshareChange24h": 123,
"mindshareChange7d": 123,
"marketCap": 123,
"price": 123,
"return24h": 123
}
],
"total": 123,
"shown": 123
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Market Data
Mindshare data
Returns narrative mindshare rankings, token rows, rolling windows, or historical snapshots.
GET
/
v1
/
mindshare
/
data
Mindshare data
curl --request GET \
--url https://www.sharpe.ai/api/v1/mindshare/data \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/mindshare/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/mindshare/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"tokens": [
{
"id": "<string>",
"symbol": "<string>",
"name": "<string>",
"image": "<string>",
"narrativeIds": [
"<string>"
],
"socialScore": 123,
"mindshare": 123,
"watchlistUsers": 123,
"sentiment": 123,
"mindshareChange24h": 123,
"mindshareChange7d": 123,
"marketCap": 123,
"price": 123,
"return24h": 123
}
],
"total": 123,
"shown": 123
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}Authorizations
BearerAuthApiKeyAuth

